Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
kimvantoan

Ai giúp tôi về precision với

Các bài được khuyến nghị

Tôi có đoạn mã lệnh đơn giản sau:

 

Public Sub VD()

Dim a As String

Dim point As Variant

point = ThisDrawing.Utility.GetPoint(, "pick diem")

a = ThisDrawing.Utility.RealToString(point(0), acDecimal, 3)

End Sub

 

Tôi lấy sau dấu phảy 3 chữ số bằng cách chọn precision của "Realtostring" là "3".

Nhưng, làm như vậy thì khi mình muốn thay đổi precision là một số khác thì phải can thiệp trực tiếp vào mã lệnh( chỉnh precision của "Realtostring" thành số khác, ví dụ như "2" chẳng hạn). Như vậy rất bất tiện!

Tôi muốn làm sao cho precision của "Realtostring" sẽ như precision trong lệnh "Units" của autocad.

Các bạn giúp tôi với! Cám ơn!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tôi có đoạn mã lệnh đơn giản sau:

 

Public Sub VD()

Dim a As String

Dim point As Variant

point = ThisDrawing.Utility.GetPoint(, "pick diem")

a = ThisDrawing.Utility.RealToString(point(0), acDecimal, 3)

End Sub

 

Tôi lấy sau dấu phảy 3 chữ số bằng cách chọn precision của "Realtostring" là "3".

Nhưng, làm như vậy thì khi mình muốn thay đổi precision là một số khác thì phải can thiệp trực tiếp vào mã lệnh( chỉnh precision của "Realtostring" thành số khác, ví dụ như "2" chẳng hạn). Như vậy rất bất tiện!

Tôi muốn làm sao cho precision của "Realtostring" sẽ như precision trong lệnh "Units" của autocad.

Các bạn giúp tôi với! Cám ơn!

 

Public Sub VD()

Dim a As String

Dim point As Variant

Dim pre As Integer

 

pre = ThisDrawing.GetVariable("LUPREC")

point = ThisDrawing.Utility.GetPoint(, "pick diem")

a = ThisDrawing.Utility.RealToString(point(0), acDecimal, pre)

End Sub

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Public Sub VD()

Dim a As String

Dim point As Variant

Dim pre As Integer

 

pre = ThisDrawing.GetVariable("LUPREC")

point = ThisDrawing.Utility.GetPoint(, "pick diem")

a = ThisDrawing.Utility.RealToString(point(0), acDecimal, pre)

End Sub

 

Cám ơn bạn rất nhiều!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×